<?php
/**
 * SeoTemplateTypeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Cms.
 *
 * Content management
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\CmsClient\Dto;
use \Ensi\CmsClient\ObjectSerializer;

/**
 * SeoTemplateTypeEnum Class Doc Comment
 *
 * @category Class
 * @description Доступные типы шаблонов:   * &#x60;1&#x60; - шаблон на конкретный товар   * &#x60;2&#x60; - общий шаблон на товар
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class SeoTemplateTypeEnum
{
    
    /** На конкретный товар */
    public const PRODUCT = 1;
    
    /** Общий на товар */
    public const PRODUCT_DEFAULT = 2;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::PRODUCT,
            self::PRODUCT_DEFAULT,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::PRODUCT => 'На конкретный товар',
            self::PRODUCT_DEFAULT => 'Общий на товар',
        ];
    }
}


